Loading...
Searching...
No Matches
pcl::registration::detail Namespace Reference

## Functions

template<typename PointTarget , typename PointSource , typename Index , typename std::enable_if_t< isSamePointType< PointSource, PointTarget >()> * = nullptr>
const PointSource & | pointCopyOrRef (typename pcl::PointCloud< PointSource >::ConstPtr &input, const Index &idx)
template<typename PointTarget , typename PointSource , typename Index , typename std::enable_if_t<!isSamePointType< PointSource, PointTarget >()> * = nullptr>
PointTarget | pointCopyOrRef (typename pcl::PointCloud< PointSource >::ConstPtr &input, const Index &idx)

## Function Documentation

## pointCopyOrRef() [1/2]

template<typename PointTarget , typename PointSource , typename Index , typename std::enable_if_t< isSamePointType< PointSource, PointTarget >()> * = nullptr>

const PointSource & pcl::registration::detail::pointCopyOrRef | ( | typename pcl::PointCloud< PointSource >::ConstPtr & | input,
|  | const Index & | idx
| ) |  |

Definition at line 123 of file correspondence_estimation.hpp.

## pointCopyOrRef() [2/2]

template<typename PointTarget , typename PointSource , typename Index , typename std::enable_if_t<!isSamePointType< PointSource, PointTarget >()> * = nullptr>

PointTarget pcl::registration::detail::pointCopyOrRef | ( | typename pcl::PointCloud< PointSource >::ConstPtr & | input,
|  | const Index & | idx
| ) |  |

Definition at line 134 of file correspondence_estimation.hpp.

References pcl::copyPoint().